"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapLabel = void 0;
const TX = '📒';
const CREATOR = '👩‍🎨';
const CREATE = '🌱';
const labelMap = new Map([
    [/^(tx|trans|transaction):?/i, TX],
    [/^(creator):?/i, CREATOR],
    [/^(create|init):?/i, CREATE],
]);
function mapLabel(label) {
    for (const [rx, symbol] of labelMap) {
        if (rx.test(label)) {
            return `${label.replace(rx, symbol)}`;
        }
    }
    return label;
}
exports.mapLabel = mapLabel;
//# sourceMappingURL=address-label-mapper.js.map