export declare enum Cluster {
    Amman = 0,
    MainnetBeta = 1,
    Testnet = 2,
    Devnet = 3,
    Custom = 4
}
export declare type ProgramInfo = {
    name: string;
    deployments: Cluster[];
};
export declare enum PROGRAM_NAMES {
    ADDRESS_MAP = "Address Map Program",
    CONFIG = "Config Program",
    STAKE = "Stake Program",
    SYSTEM = "System Program",
    VOTE = "Vote Program",
    SECP256K1 = "Secp256k1 SigVerify Precompile",
    ED25519 = "Ed25519 SigVerify Precompile",
    ASSOCIATED_TOKEN = "Associated Token Program",
    FEATURE_PROPOSAL = "Feature Proposal Program",
    LENDING = "Lending Program",
    MEMO = "Memo Program",
    MEMO_2 = "Memo Program v2",
    NAME = "Name Service Program",
    STAKE_POOL = "Stake Pool Program",
    SWAP = "Swap Program",
    TOKEN = "Token Program",
    TOKEN_METADATA = "Token Metadata Program",
    TOKEN_VAULT = "Token Vault Program",
    ACUMEN = "Acumen Program",
    BONFIDA_POOL = "Bonfida Pool Program",
    BREAK_SOLANA = "Break Solana Program",
    CHAINLINK_ORACLE = "Chainlink OCR2 Oracle Program",
    CHAINLINK_STORE = "Chainlink Store Program",
    MANGO_GOVERNANCE = "Mango Governance Program",
    MANGO_ICO = "Mango ICO Program",
    MANGO_1 = "Mango Program v1",
    MANGO_2 = "Mango Program v2",
    MANGO_3 = "Mango Program v3",
    MARINADE = "Marinade Staking Program",
    MERCURIAL = "Mercurial Stable Swap Program",
    METAPLEX = "Metaplex Program",
    NFT_AUCTION = "NFT Auction Program",
    NFT_CANDY_MACHINE = "NFT Candy Machine Program",
    NFT_CANDY_MACHINE_V2 = "NFT Candy Machine Program V2",
    ORCA_SWAP_1 = "Orca Swap Program v1",
    ORCA_SWAP_2 = "Orca Swap Program v2",
    ORCA_AQUAFARM = "Orca Aquafarm Program",
    PORT = "Port Finance Program",
    PYTH_DEVNET = "Pyth Oracle Program",
    PYTH_TESTNET = "Pyth Oracle Program",
    PYTH_MAINNET = "Pyth Oracle Program",
    QUARRY_MERGE_MINE = "Quarry Merge Mine",
    QUARRY_MINE = "Quarry Mine",
    QUARRY_MINT_WRAPPER = "Quarry Mint Wrapper",
    QUARRY_REDEEMER = "Quarry Redeemer",
    QUARRY_REGISTRY = "Quarry Registry",
    RAYDIUM_AMM = "Raydium AMM Program",
    RAYDIUM_IDO = "Raydium IDO Program",
    RAYDIUM_LP_1 = "Raydium Liquidity Pool Program v1",
    RAYDIUM_LP_2 = "Raydium Liquidity Pool Program v2",
    RAYDIUM_STAKING = "Raydium Staking Program",
    SABER_ROUTER = "Saber Router Program",
    SABER_SWAP = "Saber Stable Swap Program",
    SERUM_1 = "Serum Dex Program v1",
    SERUM_2 = "Serum Dex Program v2",
    SERUM_3 = "Serum Dex Program v3",
    SERUM_SWAP = "Serum Swap Program",
    SOLEND = "Solend Program",
    SOLIDO = "Lido for Solana Program",
    STEP_SWAP = "Step Finance Swap Program",
    SWIM_SWAP = "Swim Swap Program",
    SWITCHBOARD = "Switchboard Oracle Program",
    WORMHOLE = "Wormhole"
}
export declare const PROGRAM_INFO_BY_ID: {
    [address: string]: ProgramInfo;
};
export declare type LoaderName = typeof LOADER_IDS[keyof typeof LOADER_IDS];
export declare const LOADER_IDS: {
    readonly [x: string]: "Move Loader" | "Native Loader" | "BPF Loader" | "BPF Loader 2" | "BPF Upgradeable Loader";
    readonly MoveLdr111111111111111111111111111111111111: "Move Loader";
    readonly NativeLoader1111111111111111111111111111111: "Native Loader";
    readonly BPFLoaderUpgradeab1e11111111111111111111111: "BPF Upgradeable Loader";
};
export declare const SPECIAL_IDS: {
    [key: string]: string;
};
export declare const SYSVAR_IDS: {
    [x: string]: string;
    SysvarEpochSchedu1e111111111111111111111111: string;
    SysvarFees111111111111111111111111111111111: string;
    SysvarRecentB1ockHashes11111111111111111111: string;
    SysvarS1otHashes111111111111111111111111111: string;
    SysvarS1otHistory11111111111111111111111111: string;
    Sysvar1nstructions1111111111111111111111111: string;
};
export declare function programLabel(address: string, cluster: Cluster): string | undefined;
