/** @private */
export declare type AmmanClient = {
    clearAddressLabels(): void;
    clearTransactions(): void;
    addAddressLabels(labels: Record<string, string>): Promise<void>;
    fetchAddressLabels(): Promise<Record<string, string>>;
    disconnect(): void;
};
export declare type AmmanClientOpts = {
    autoUnref?: boolean;
    ack?: boolean;
};
/** @private */
export declare class ConnectedAmmanClient implements AmmanClient {
    readonly url: string;
    private readonly socket;
    private readonly ack;
    private constructor();
    private connect;
    clearAddressLabels(): void;
    clearTransactions(): void;
    addAddressLabels(labels: Record<string, string>): Promise<void>;
    fetchAddressLabels(): Promise<Record<string, string>>;
    /**
     * Disconnects this client and allows the app to shut down.
     * Only needed if you set `{ autoUnref: false }` for the opts.
     */
    disconnect(): void;
    private static _instance;
    static getInstance(url?: string, ammanClientOpts?: AmmanClientOpts): ConnectedAmmanClient;
}
/** @private */
export declare class DisconnectedAmmanClient implements AmmanClient {
    clearAddressLabels(): void;
    clearTransactions(): void;
    addAddressLabels(_labels: Record<string, string>): Promise<void>;
    fetchAddressLabels(): Promise<Record<string, string>>;
    disconnect(): void;
}
