import { StorageDriver, Metaplex, MetaplexFile, MetaplexPlugin } from '@lorisleiva/js-next-alpha';
import BN from 'bn.js';
export declare type AmmanMockStorageDriverOptions = {
    costPerByte?: BN | number;
    logInfo?: (...data: any[]) => void;
    logDebug?: (...data: any[]) => void;
    logTrace?: (...data: any[]) => void;
};
export declare class AmmanMockStorageDriver extends StorageDriver {
    readonly storageId: string;
    readonly uploadRoot: string;
    readonly costPerByte: BN;
    readonly logInfo: (...data: any[]) => void;
    readonly logDebug: (...data: any[]) => void;
    readonly logTrace: (...data: any[]) => void;
    private cache;
    readonly baseUrl: string;
    readonly storageDir: string;
    constructor(metaplex: Metaplex, storageId: string, uploadRoot: string, costPerByte: BN, logInfo: (...data: any[]) => void, logDebug: (...data: any[]) => void, logTrace: (...data: any[]) => void);
    static readonly create: (storageId: string, uploadRoot: string, options?: AmmanMockStorageDriverOptions) => MetaplexPlugin;
    static readonly getStorageUri: (storageId: string) => string;
    getPrice(file: MetaplexFile): Promise<BN>;
    upload(file: MetaplexFile): Promise<string>;
    download(uri: string): Promise<MetaplexFile>;
    downloadJson<T extends object>(uri: string): Promise<T>;
}
