export declare const ContentTypes: readonly ["image/jpeg", "image/png", "image/gif", "image/bmp", "image/svg+xml", "image/webp", "image/x-icon"];
export declare type ContentType = typeof ContentTypes[number];
/**
 * Configures the Amman Mock Storage
 *
 * @category config
 */
export declare type StorageConfig = {
    enabled: boolean;
    storageId: string;
    clearOnStart: boolean;
};
/**
 * The Default Amman Storage Configuration
 *
 * @category config
 */
export declare const DefaultStorageConfig: Omit<StorageConfig, 'storageId'>;
