/**
 * Checks if a string is valid base58 Solana via a Regex.
 * @private
 */
export declare function isValidSolanaAddress(address: string): boolean;
/**
 * Checks if a string is valid PublicKey address.
 * @private
 */
export declare function isValidPublicKeyAddress(address: string): boolean;
export declare const addressTypes: string[];
export declare type AddressType = typeof addressTypes[number];
export declare type Address = {
    type: AddressType;
    value: string;
};
export declare function isPublicKeyAddress(address: Address): address is {
    type: 'publicKey';
    value: string;
};
export declare function isSignatureAddress(address: Address): address is {
    type: 'signature';
    value: string;
};
export declare function extractSolanaAddresses(text: string): Address[];
