import { Keypair } from '@solana/web3.js';
/**
 * Ensures that a file or directory is accessible to the current user.
 * @private
 */
export declare function canAccessSync(p: string): boolean;
/**
 * Ensures that a file or directory is accessible to the current user.
 * @private
 */
export declare function canAccess(p: string): Promise<boolean>;
/**
 * Ensures that a file or directory is readable to the current user.
 * @private
 */
export declare function canRead(p: string): Promise<boolean>;
/**
 * Ensures that a directory is accessible to the current user.
 * IF the directory doesn't exist it attempts to create it recursively.
 * @private
 */
export declare function ensureDirSync(dir: string): void;
/** @private */
export declare function keypairFromFile(fullPath: string): Promise<Keypair>;
/** @private */
export declare function ensureDirCleaned(dir: string): Promise<void>;
/** @private */
export declare function assertValidPathSegmentWithoutSpaces(p: string, msg?: string): void;
