/// <reference types="node" />
export * from './address';
export * from './guards';
export * from './log';
/**
 * URL at which a locally running solana test validator listens on by default
 * @category utils
 */
export declare const LOCALHOST = "http://127.0.0.1:8899/";
/**
 * @private
 */
export declare const sleep: (ms: number) => Promise<unknown>;
/**
 * @private
 */
export declare function createHash(s: Buffer): string;
/**
 * Gets the path to a temporary directory in which to store the test
 * validator ledger.
 *
 * @param testLabel label used to name that directory
 * @category utils
 */
export declare function tmpLedgerDir(testLabel?: string): string;
/**
 * Custom JSON.stringify which avoids failing on bigint values
 * @category utils
 */
export declare function safeJsonStringify(obj: any): string;
