"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.publicKeyString = exports.isKeyLike = void 0;
function isKeyLike(val) {
    if (val == null)
        return false;
    return (typeof val === 'string' ||
        typeof val.toBase58 === 'function' ||
        val.publicKey != null);
}
exports.isKeyLike = isKeyLike;
function publicKeyString(key) {
    if (typeof key === 'string') {
        return key;
    }
    if (typeof key.toBase58 === 'function') {
        return key.toBase58();
    }
    if (typeof key.publicKey != null) {
        return key.publicKey.toBase58();
    }
    return key.toString();
}
exports.publicKeyString = publicKeyString;
//# sourceMappingURL=keys.js.map